Subject: Wanted: Plants for Teaching Greenhouse in Russia

From: [email-masked] (Mitch Day)
Date: 16 Mar 1995 12:26:05 -0700

Newsgroups: sci.bio,bionet.plants
Subject: wanted: Plants for teaching greenhouse in Russia
Summary: 
Followup-To: 
Distribution: 
Organization: Idaho State University, Pocatello
Keywords: 
Cc: 

Hello:

I wish to apologize for the blank post that I sent out last week.  I 
failed to use my news reader correctly.

Anyway:

My name is Mitch Day and I'm a botany student at Idaho State University.  
I am forwarding this on behalf of Dr. Victor Kuzevanov of the Botanic 
Gardens of Irkutsk State University.

Dr. Kuzevanov wishes to obtain tropical ferns or any other plant 
materials for the purpose of developing their teaching and display 
greenhouses.  Please e-mail him directly if you wish to discuss a trade at:

vic@[email-masked]

Thank you,

-- 
Mitch Day
Idaho State University
[email-masked]